Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class DrillDownComposite

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.ui.part.DrillDownComposite

All Implemented Interfaces:
  Drawable

public class DrillDownComposite
extends Composite

Class `DrillDownComposite` implements a simple web style navigation metaphor. Home, back, and "drill into" buttons are added to a tree viewer for easier navigation.

To use the DrillDownComposite..

- Create an instance of `DrillDownComposite`.
- Create a tree viewer.
- Pass the second tree viewer into the composite by calling `setChildTree`.

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`DrillDownComposite(Composite parent, int style)` Constructs a new DrillDownTreeViewer.

Method Summary
`protected void` | `createNavigationButtons()` Creates the navigation buttons for this viewer.
`void` | `setChildTree(TreeViewer aViewer)` Sets the child viewer.

Methods inherited from class org.eclipse.swt.widgets.Composite
`checkSubclass, computeSize, getChildren, getLayout, getTabList, layout, layout, setFocus, setLayout, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrillDownComposite

    public DrillDownComposite(Composite parent,
                              int style)

  Constructs a new DrillDownTreeViewer.

Parameters:
  `parent` - the parent composite for this control
  `style` - the SWT style for this control

Method Detail

### createNavigationButtons

    protected void createNavigationButtons()

  Creates the navigation buttons for this viewer.

### setChildTree

    public void setChildTree(TreeViewer aViewer)

  Sets the child viewer. This method should only be called once, after the viewer has been created.

  Parameters:
    `aViewer` - the new child viewer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.